ch.hevs.isi.core

## Class FloatDataPoint

- java.lang.Object
- - ch.hevs.isi.core.DataPoint
  - - ch.hevs.isi.core.FloatDataPoint

    public class FloatDataPoint
    extends DataPoint

### Field Summary

### Fields inherited from class ch.hevs.isi.core.DataPoint

`dataPointMap`

### Constructor Summary

Constructors
Constructor and Description
`FloatDataPoint(java.lang.String label, boolean isOutput)` Create a new DataPoint with a label and if is an Output or not

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getValue()` Get the value of this DataPoint
`void` `setValue(float value)` Set the value of this DataPoint and create it if it doesn't exist via the update method
`java.lang.String` `toString()` Convert this DataPoint to a string

### Methods inherited from class ch.hevs.isi.core.DataPoint

`getDataPointOnListFromLabel, getLabel, isOutput, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FloatDataPoint

    public FloatDataPoint(java.lang.String label,
                          boolean isOutput)

Create a new DataPoint with a label and if is an Output or not

Parameters:
  `label` - the label of this DataPoint
  `isOutput` - true if this is an Output, false if it's an Input

### Method Detail

#### setValue

    public void setValue(float value)

Set the value of this DataPoint and create it if it doesn't exist via the update method

Parameters:
  `value` - the value to set

#### getValue

    public float getValue()

Get the value of this DataPoint

Returns:
  the value of this DataPoint

#### toString

    public java.lang.String toString()

Convert this DataPoint to a string

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string representation of this DataPoint